• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

iOS To any Yoyo guys seeing this, please read.

Lol we were spamming bug reports on that for about a year using all our accounts with no result from yoyo team. But good news is that it is fixed in 2.3. We already checked. But since 2.3 has a lot of other bugs we cant use it by now.
 

Mr Errorz

Member
yup, this is an absurd situation..
because you cannot build for ios from PC right now [also fixed in 2.3], you need to install GM on your mac,
however.. GM on mac is far less flexible or stable, you can't use whatever runtime you want as you can on PC, you can only use the latest runtime for the IDE you have installed,
some of those always fail to install, others completely mess up or break your project.
It seems that right now, if we want our game to have functioning sound [a reasonable request from an engine, no?] on ios, we are need to downgrade GM so much, to 2.2.0, a version that came out almost 2 years ago.
YoYo, please realize this is an absurd situation you are putting us [and also yourselves] in, just release a quick update for 2.2.5, as 2.3 could be months away.
This is no way to support your developers using your engine on mobile devices.
And yes, I have little hope something will happen.
 

Dan

YoYo Games Staff
YYG Staff
If you have specific issues with stability when using the 2.2.5 Mac IDE, then please file bug reports for this and we can advise you further. However, there is no such restriction that the Mac IDE can only use the latest runtime - there WAS a bug with this a long time ago when the Mac IDE was new-ish where on some machines/in some circumstances when trying to rollback a runtime the Mac would fail the install and so it would then set you safely back to the matching/original runtime again, but that was fixed a long time ago.

There are no plans to release a 2.2.5 hotfix as we're focusing on releasing 2.3.0 asap, so it's probably best if you file a ticket regarding your Mac IDE issues and we discuss directly. Please ensure you give us a system info report when filing the ticket.
 

spinout

Member
What a joke - we have a major update that needs to be released and losing revenue daily until we can get it out. No wonder we are rebuilding our projects in Unity. WOW
 

Mr Errorz

Member
If you have specific issues with stability when using the 2.2.5 Mac IDE, then please file bug reports for this and we can advise you further. However, there is no such restriction that the Mac IDE can only use the latest runtime - there WAS a bug with this a long time ago when the Mac IDE was new-ish where on some machines/in some circumstances when trying to rollback a runtime the Mac would fail the install and so it would then set you safely back to the matching/original runtime again, but that was fixed a long time ago.

There are no plans to release a 2.2.5 hotfix as we're focusing on releasing 2.3.0 asap, so it's probably best if you file a ticket regarding your Mac IDE issues and we discuss directly. Please ensure you give us a system info report when filing the ticket.
Well, that Mac bug pretty much persists. We tried EVERYTHING, on 2 different macs, and it was the same.
I don't mind filing a bug report, but really, I don't feel that's the issue here.
Kinda sucks that you're leaving some of us with no real solution, who knows when 2.3 will officially roll out.
 

Mr Errorz

Member
If you have specific issues with stability when using the 2.2.5 Mac IDE, then please file bug reports for this and we can advise you further. However, there is no such restriction that the Mac IDE can only use the latest runtime - there WAS a bug with this a long time ago when the Mac IDE was new-ish where on some machines/in some circumstances when trying to rollback a runtime the Mac would fail the install and so it would then set you safely back to the matching/original runtime again, but that was fixed a long time ago.

There are no plans to release a 2.2.5 hotfix as we're focusing on releasing 2.3.0 asap, so it's probably best if you file a ticket regarding your Mac IDE issues and we discuss directly. Please ensure you give us a system info report when filing the ticket.
I filed it, ticket number is 172940.
 
Top